Ad Account, Custom Conversions
Updated: Jan 22, 2025
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Data on custom conversion events from event sources, such as a Meta Pixel. You can query this data to measure the effectiveness of our ads. Or use it to optimize ad delivery to target people who converted as defined by your customization and rules.
Reading
Ad Account Custom Conversions
Example
GET /v25.0/{ad-account-id}/customconversions HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
This endpoint doesn't have any parameters.
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of CustomConversion nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
100 | Invalid parameter |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
190 | Invalid OAuth 2.0 Access Token |
368 | The action attempted has been deemed abusive or is otherwise disallowed |
Creating
/act_{ad_account_id}/customconversions
You can make a POST request to customconversions edge from the following paths:
When posting to this edge, a CustomConversion will be created.
Parameters
| Parameter | Description |
|---|---|
action_source_typeenum {app, chat, email, other, phone_call, physical_store, system_generated, website, business_messaging} |
Action source type the custom conversion is created from.
|
advanced_rulestring |
Advanced ruleset for the custom conversion being created allowing multiple sources.
|
custom_event_typeenum {ADD_PAYMENT_INFO, ADD_TO_CART, ADD_TO_WISHLIST, COMPLETE_REGISTRATION, CONTENT_VIEW, INITIATED_CHECKOUT, LEAD, PURCHASE, SEARCH, CONTACT, CUSTOMIZE_PRODUCT, DONATE, FIND_LOCATION, SCHEDULE, START_TRIAL, SUBMIT_APPLICATION, SUBSCRIBE, LISTING_INTERACTION, FACEBOOK_SELECTED, OTHER} |
The custom event type of the conversion being created.
|
default_conversion_valuefloat | Default value: 0
The default conversion value of the conversion being created.
|
descriptionstring |
The description of the conversion being created.
|
event_source_idnumeric string or integer |
Event source ID, where event sources are a Pixel, offline event sets and so on. Aggregate custom conversion data from these sources.
|
namestring |
The name of the conversion being created.
required |
rulestring |
Only count an event as a custom conversion if it fulfills this rule.
|
Return Type
This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct {
id: numeric string,
is_custom_event_type_predicted: numeric string,
}
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
100 | Invalid parameter |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.